
! $Id: adaptdt.f90 5136 2024-07-28 14:17:54Z abarral $

SUBROUTINE adaptdt(nadv,dtbon,n,pbaru, &
        masse)

  USE comconst_mod, ONLY: dtvr
  USE lmdz_description, ONLY: descript
  USE lmdz_comdissip, ONLY: coefdis, tetavel, tetatemp, gamdissip, niterdis
  USE lmdz_comgeom2

  IMPLICIT NONE

  INCLUDE "dimensions.h"
  INCLUDE "paramet.h"

  !----------------------------------------------------------
  ! Arguments
  !----------------------------------------------------------
  INTEGER :: n,nadv
  REAL :: dtbon
  REAL :: pbaru(iip1,jjp1,llm)
  REAL :: masse(iip1,jjp1,llm)
  !----------------------------------------------------------
  ! Local
  !----------------------------------------------------------
  INTEGER :: i,j,l
  REAL :: CFLmax,aaa,bbb

    CFLmax=0.
    do l=1,llm
     do j=2,jjm
      do i=1,iim
         aaa=pbaru(i,j,l)*dtvr/masse(i,j,l)
         CFLmax=max(CFLmax,aaa)
         bbb=-pbaru(i,j,l)*dtvr/masse(i+1,j,l)
         CFLmax=max(CFLmax,bbb)
      enddo
     enddo
    enddo
    n=int(CFLmax)+1
  ! pour reproduire cas VL du code qui appele x,y,z,y,x
     ! if (nadv.EQ.30) n=n/2   ! Pour Prather
    dtbon=dtvr/n

   RETURN
END SUBROUTINE adaptdt







