! $Header$

SUBROUTINE gr_u_scal(nx, x_u, x_scal)
  !%W%    %G%
  !=======================================================================
  !
  !   Author:    Frederic Hourdin      original: 11/11/92
  !   -------
  !
  !   Subject:
  !   ------
  !
  !   Method:
  !   --------
  !
  !   Interface:
  !   ----------
  !
  !  Input:
  !  ------
  !
  !  Output:
  !  -------
  !
  !=======================================================================
  USE lmdz_ssum_scopy, ONLY: scopy
  USE lmdz_comgeom

  IMPLICIT NONE
  !-----------------------------------------------------------------------
  !   Declararations:
  !   ---------------

  INCLUDE "dimensions.h"
  INCLUDE "paramet.h"

  !   Arguments:
  !   ----------

  INTEGER :: nx
  REAL :: x_u(ip1jmp1, nx), x_scal(ip1jmp1, nx)

  !   Local:
  !   ------

  INTEGER :: l, ij

  !-----------------------------------------------------------------------

  DO l = 1, nx
    DO ij = ip1jmp1, 2, -1
      x_scal(ij, l) = &
              (aireu(ij) * x_u(ij, l) + aireu(ij - 1) * x_u(ij - 1, l)) &
                      / (aireu(ij) + aireu(ij - 1))
    ENDDO
  ENDDO

  CALL SCOPY(nx * jjp1, x_scal(iip1, 1), iip1, x_scal(1, 1), iip1)

  RETURN
END SUBROUTINE gr_u_scal
