! $Header$

SUBROUTINE gr_v_scal(nx, x_v, x_scal)
  !%W%    %G%
  !=======================================================================
  !
  !   Author:    Frederic Hourdin      original: 11/11/92
  !   -------
  !
  !   Subject:
  !   ------
  !
  !   Method:
  !   --------
  !
  !   Interface:
  !   ----------
  !
  !  Input:
  !  ------
  !
  !  Output:
  !  -------
  !
  !=======================================================================
  USE lmdz_comgeom
  IMPLICIT NONE
  !-----------------------------------------------------------------------
  !   Declararations:
  !   ---------------

  INCLUDE "dimensions.h"
  INCLUDE "paramet.h"

  !   Arguments:
  !   ----------

  INTEGER :: nx
  REAL :: x_v(ip1jm, nx), x_scal(ip1jmp1, nx)

  !   Local:
  !   ------

  INTEGER :: l, ij

  !-----------------------------------------------------------------------

  DO l = 1, nx
    DO ij = iip2, ip1jm
      x_scal(ij, l) = &
              (airev(ij - iip1) * x_v(ij - iip1, l) + airev(ij) * x_v(ij, l)) &
                      / (airev(ij - iip1) + airev(ij))
    ENDDO
    DO ij = 1, iip1
      x_scal(ij, l) = 0.
    ENDDO
    DO ij = ip1jm + 1, ip1jmp1
      x_scal(ij, l) = 0.
    ENDDO
  ENDDO

  RETURN
END SUBROUTINE gr_v_scal
